Name:           seaview
Version:        4.2.12
Release:        1%{?dist}
Summary:        Graphical multiple sequence alignment editor

Group:          Applications/Engineering
License:        GPLv2+
URL:            http://pbil.univ-lyon1.fr/software/seaview.html
Source0:        ftp://pbil.univ-lyon1.fr/pub/mol_phylogeny/seaview/seaview_4.2.12.tar.gz
Source1:        seaview.desktop
Patch0:         seaview-chris.patch
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
BuildRequires:  fltk-devel
BuildRequires:  desktop-file-utils

%description
SeaView is a graphical multiple sequence alignment editor developed by Manolo
Gouy.  SeaView is able to read and write various alignment formats (NEXUS, MSF,
CLUSTAL, FASTA, PHYLIP, MASE).  It allows to manually edit the alignment, and
also to run DOT-PLOT or CLUSTALW/MUSCLE programs to locally improve the
alignment.


%prep
%setup -q -n seaview
%patch0 -p 1 -b .chris
chmod -x *.cxx
chmod -x csrc/*.[ch]


%build
make %{?_smp_mflags}


%check


%install
rm -rf $RPM_BUILD_ROOT
mkdir -p $RPM_BUILD_ROOT%{_datadir}/seaview
mkdir -p $RPM_BUILD_ROOT%{_bindir}
mkdir -p $RPM_BUILD_ROOT/%{_mandir}/man1
install -m 755 seaview $RPM_BUILD_ROOT/%{_bindir}
install -m 644 seaview.html $RPM_BUILD_ROOT%{_datadir}/seaview/
desktop-file-install \
  --vendor fedora \
  --dir $RPM_BUILD_ROOT%{_datadir}/applications \
  %{SOURCE1}
mkdir -p $RPM_BUILD_ROOT%{_datadir}/pixmaps/
install -m 0644 -p seaview.xpm $RPM_BUILD_ROOT%{_datadir}/pixmaps/seaview.xpm
install -m 644 seaview.1 $RPM_BUILD_ROOT/%{_mandir}/man1


%clean
rm -rf $RPM_BUILD_ROOT


%files
%defattr(-,root,root,-)
%doc seaview.1.xml example.nxs
%{_bindir}/seaview
%{_datadir}/seaview/
%{_datadir}/applications/*%{name}.desktop
%{_datadir}/pixmaps/%{name}.xpm
%{_mandir}/man1/*


%changelog
* Thu May 26 2011 Christian Iseli <Christian.Iseli@unil.ch> - 4.2.12-1
- New upstream version

* Wed Feb 09 2011 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 4.2.6-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_15_Mass_Rebuild

* Sat Jul 31 2010 Christian Iseli <Christian.Iseli@licr.org> - 4.2.6-2
- Rebuild to solve libfltk broken dep

* Tue Jul 20 2010 Christian Iseli <Christian.Iseli@licr.org> - 4.2.6-1
- New upstream version

* Wed Feb 17 2010 Christian Iseli <Christian.Iseli@licr.org> - 4.2.2-2
- Fix thinko

* Wed Feb 17 2010 Christian Iseli <Christian.Iseli@licr.org> - 4.2.2-1
- New upstream version
- Update patch file to cause link against fontconfig library to resolve
  bugzilla 564977

* Fri Jan  8 2010 Christian Iseli <Christian.Iseli@licr.org> - 4.2.1-1
- New upstream version
- tarball does not expand to a versioned directory
- seaview.help -> seaview.html
- resync patches
- add man page
- remove exec bit on source files (they end up in the debug package)
- add doc files

* Sun Jul 26 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 4.0-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_12_Mass_Rebuild

* Thu Feb 26 2009 Christian Iseli <Christian.Iseli@licr.org> - 4.0-1
- New upstream version
- Fix GCC 4.4 compile issues
- README and protein.mase are gone

* Wed Feb 25 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 2.4-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_11_Mass_Rebuild

* Thu Jun 12 2008 Christian Iseli <Christian.Iseli@licr.org> - 2.4-1
- New upstream version 2.4
- Cleanup changelog formatting

* Mon Feb 18 2008 Fedora Release Engineering <rel-eng@fedoraproject.org> - 2.0-2
- Autorebuild for GCC 4.3

* Mon Sep 10 2007 Christian Iseli <Christian.Iseli@licr.org> - 2.0-1
- New upstream version, with a true version number :)

* Thu Aug 16 2007 Christian Iseli <Christian.Iseli@licr.org> - 0-0.1.20070616
- Fix License tag to GPLv2+.

* Thu Jun 28 2007 Christian Iseli <Christian.Iseli@licr.org> - 0-0.1.20070615
- New upstream tarball.
- Add desktop file and icon.

* Wed Jun 13 2007 Christian Iseli <Christian.Iseli@licr.org> - 0-0.1.20070515
- Actually follow pre-release strategy for version/release...
- New upstream "version".

* Tue May  8 2007 Christian Iseli <Christian.Iseli@licr.org> - 0-0.20070417
- Follow pre-release strategy for version/release.

* Mon May  7 2007 Christian Iseli <Christian.Iseli@licr.org> - 0.20070417-0
- Create spec file.
